Package org.apache.sling.caconfig.resource.impl.util

# Class PathEliminateDuplicatesIterator

java.lang.Object
org.apache.commons.collections4.iterators.FilterIterator<String>
org.apache.sling.caconfig.resource.impl.util.PathEliminateDuplicatesIterator

All Implemented Interfaces:
  `Iterator<String>`

public class PathEliminateDuplicatesIterator extends org.apache.commons.collections4.iterators.FilterIterator<String>
Iterator that eliminates duplicate paths.

## Constructor Summary

Constructors
Constructor
Description
`PathEliminateDuplicatesIterator(Iterator<String> iterator)`

## Method Summary

### Methods inherited from class org.apache.commons.collections4.iterators.FilterIterator

`getIterator, getPredicate, hasNext, next, remove, setIterator, setPredicate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### PathEliminateDuplicatesIterator

public PathEliminateDuplicatesIterator(Iterator<String> iterator)